Inteliquent
Integrate your application with the Inteliquent (Sinch) Services API
Quickstart
Connect to Inteliquent with Tenklo and see data flow in 2 minutes.
In Tenklo (free signup), go to Integrations -> Configure New Integration -> Inteliquent.
Go to Connections -> Add Test Connection -> Authorize, then enter your Inteliquent API Key and API Secret and pick the API subdomain for your environment (services for production, services-sandbox for sandbox). Later, you'll let your users do the same directly from your app.
Let's make your first request to the Inteliquent Services API (look up telephone number details). Replace the placeholders below with your Environment API key, integration ID, and connection ID:
curl -X POST "https://api.tenklo.dev/proxy/Services/2.0.0/tnDetail" \
-H "Authorization: Bearer <NANGO-API-KEY>" \
-H "Provider-Config-Key: <INTEGRATION-ID>" \
-H "Connection-Id: <CONNECTION-ID>" \
-H "Content-Type: application/json" \
-d '{"tnSearchList":{"tnSearchItem":[{"tnMask":"xxxxxxxxxx"}]},"pageSort":{"size":10}}'Or fetch credentials with the Node SDK or API.
You're connected! Check the Logs tab in Tenklo to inspect requests.
Follow our Auth implementation guide to integrate Tenklo in your app.
To obtain your own production credentials, follow the connect guide linked below.
Inteliquent Integration Guides
Nango-maintained guides for common use cases.
- How do I link my Inteliquent account? Connect your Inteliquent account using the Connect UI
Official docs:
Pre-built syncs & actions for Inteliquent
Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.
No pre-built syncs or actions available yet.